<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="data"
            type="com.controlmyspa.ownerappnew.model.CzDetails" />

    </data>

    <androidx.core.widget.NestedScrollView xmlns:tools="http://schemas.android.com/tools"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/activity_horizontal_margin"
        android:fillViewport="true"
        tools:context=".fragment.DetailsFragment">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/product_name"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_productname"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/product_model"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_productmodel"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/cms_gateway_serial"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/spa_serial_number"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}"
                        app:stringText="@{data.serialNumber}" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:id="@+id/cms_account_setup_date_text"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/cms_account_setup_date"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/cms_account_setup_date"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:formatDate="@{data.salesDate}"
                        app:marquee="@{true}" />
                </LinearLayout>


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/registration_date"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_registration_date"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="date"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/manufactured_date"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_manufactured_date"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="date"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/transaction_id"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_transaction_id"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/owner_name"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_owner_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/sales_associative"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_sales_associative"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/location"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spa_location"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight=".5"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/ap_ssid"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/spa_ap_ssid"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:singleLine="true"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/spa_health"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/spaHealth"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:enabled="false"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:visibility="gone"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/spa_controller_part"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/spa_controller_part"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}"
                        app:stringText="@{data.serialNumber.subSequence(0, 8)}" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/current_temp"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/current_temp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:enabled="false"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/set_temp"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/set_temp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:id="@+id/spa_controller_sf_version_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:singleLine="true"
                        android:text="@string/spa_controller_software_version"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/spa_controller_sf_version"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@{data.currentState.systemInfo.controllerSoftwareVersion}"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:id="@+id/mDipSwitchSettingsTxt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:singleLine="true"
                        app:marquee="@{true}"
                        android:text="@string/dipswitch_settings"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/dip_switch_settings"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/sensor_a_temp"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/sensor_a_temp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />


                </LinearLayout>




            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal"
                android:visibility="gone">


                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/sensor_b_temp"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/sensor_b_temp"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />
                </LinearLayout>


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/run_mode"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/spa_run_mode"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}"
                        app:stringText="@{data.currentState.runMode}" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/current_setup"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/current_setup"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}"
                        app:stringText="@{data.currentState.systemInfo.currentSetup}" />
                </LinearLayout>



            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/high_low_range_status"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/high_low_status"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}"
                        app:stringText="@{data.currentState.tempRange}" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="6"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:id="@+id/last_fault_log_entry_txt"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/last_fault_log_entry"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/last_fault_log_entry"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}"
                        app:stringText="@{data.alerts.get(data.alerts.size()-1).shortDescription}" />
                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:baselineAligned="false"
                android:orientation="horizontal">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/filter_cycle"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold"
                        app:marquee="@{true}" />

                    <TextView
                        android:id="@+id/filter_cycle"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:ellipsize="marquee"
                        android:marqueeRepeatLimit="marquee_forever"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize"
                        app:marquee="@{true}" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/margin_small"
                    android:layout_weight="1"
                    android:background="@drawable/edit_background"
                    android:orientation="vertical"
                    android:padding="4dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:text="@string/last_name"
                        android:marqueeRepeatLimit="marquee_forever"
                        app:marquee="@{true}"
                        android:ellipsize="marquee"
                        android:textColor="@color/colorPrimary"
                        android:textSize="@dimen/small_textsize"
                        android:textStyle="bold" />

                    <EditText
                        android:id="@+id/account_last_name"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/transparent"
                        android:imeOptions="actionNext"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingStart="4dp"
                        android:paddingEnd="4dp"
                        android:textColor="@color/colorPrimary"
                        android:textCursorDrawable="@null"
                        android:textSize="@dimen/medium_textsize" />
                </LinearLayout>

            </LinearLayout>

            <include
                android:id="@+id/frag_acc"
                layout="@layout/fragment_account" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</layout>
